package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.WyPlatformActivity;

/**
 * 营销活动Mapper接口
 * 
 * @author ruoyi
 * @date 2025-01-06
 */
public interface WyPlatformActivityMapper 
{
    /**
     * 查询营销活动
     * 
     * @param id 营销活动主键
     * @return 营销活动
     */
    public WyPlatformActivity selectWyPlatformActivityById(Long id);

    /**
     * 查询营销活动列表
     * 
     * @param wyPlatformActivity 营销活动
     * @return 营销活动集合
     */
    public List<WyPlatformActivity> selectWyPlatformActivityList(WyPlatformActivity wyPlatformActivity);

    /**
     * 新增营销活动
     * 
     * @param wyPlatformActivity 营销活动
     * @return 结果
     */
    public int insertWyPlatformActivity(WyPlatformActivity wyPlatformActivity);

    /**
     * 修改营销活动
     * 
     * @param wyPlatformActivity 营销活动
     * @return 结果
     */
    public int updateWyPlatformActivity(WyPlatformActivity wyPlatformActivity);

    /**
     * 删除营销活动
     * 
     * @param id 营销活动主键
     * @return 结果
     */
    public int deleteWyPlatformActivityById(Long id);

    public int  deleteWyPlatformActivityByActivityId(Long activityId);

    /**
     * 批量删除营销活动
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWyPlatformActivityByIds(Long[] ids);
}
